motion.init-debian.in

来自「video motion detection of linux base」· IN 代码 · 共 69 行

IN
69
字号
#! /bin/bash## motion	Start the motion detection .#NAME=motionPATH=/bin:/usr/bin:/sbin:/usr/sbinDAEMON=@BIN_PATH@/motionPIDFILE=/var/run/$NAME.pidtrap "" 1export LANG=Cexport PATHtest -f $DAEMON || exit 0case "$1" in  start)    echo "Starting motion detection : $NAME"    start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON    ;;  stop)    echo "Stopping motion detection : $NAME"    start-stop-daemon --stop --pidfile $PIDFILE --oknodo --exec $DAEMON --retry 30     ;;  status)    echo "Status motion detection : $NAME"    if (test -f $PIDFILE); then        echo -n "Running process for $NAME : "    	pidof $NAME      else    	echo "Stopped"    fi    ;;        reload-config)    echo "Reloading $NAME configuration"    start-stop-daemon --stop --pidfile $PIDFILE --signal HUP --exec $DAEMON    ;;  restart-motion)    echo "Restarting $NAME"    start-stop-daemon --stop --pidfile $PIDFILE --oknodo --exec $DAEMON  --retry 30    start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON    ;;  restart)    $0 restart-motion    exit $?    ;;  *)    echo "Usage: /etc/init.d/$NAME {start|stop|status|reload-config|restart}"    exit 1    ;;esacif [ $? == 0 ]; then	echo .	exit 0else	echo failed	exit 1fi

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?